#ifndef PATCHFINDER64_H_
#define PATCHFINDER64_H_
#include <stdint.h>

int init_kernel(uint64_t base, const char *filename);
void term_kernel(void);

int init_patchfinder(const char *filename);

uint64_t find_trustcache(void);
uint64_t find_amficache(void);

// Fun part
uint64_t find_allproc_electra(void);
uint64_t find_add_x0_x0_0x40_ret(void);
uint64_t find_copyout_electra(void);
uint64_t find_bzero_electra(void);
uint64_t find_bcopy_electra(void);
uint64_t find_rootvnode(void);
uint64_t find_trustcache_electra(void);
uint64_t find_amficache_electra(void);
uint64_t find_realhost(void);
uint64_t find_zone_map_ref(void);
uint64_t find_boot_args(unsigned* cmdline_offset);
#endif
